Bug 1760366 - Units may not be unloaded at logout causing trouble
Summary: Units may not be unloaded at logout causing trouble
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-session
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: RejectedBlocker AcceptedFreezeException
Depends On:
Blocks: F31FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2019-10-10 11:51 UTC by Benjamin Berg
Modified: 2019-10-14 15:10 UTC (History)
16 users (show)

Fixed In Version: gnome-session-3.34.1-3.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-14 15:10:41 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Gitlab GNOME/gnome-session/merge_requests/28 None None None 2019-10-10 11:51:50 UTC
GNOME Gitlab GNOME/gnome-settings-daemon/issues/456 None None None 2019-10-10 11:51:50 UTC

Description Benjamin Berg 2019-10-10 11:51:50 UTC
We are currently not unloading the systemd user session units reliably. This currently causes two problems:

 1. Shutting down a machine from GNOME will hang for a long time.
 2. Logging back in direclty after a session failure might result in some services not running

There is an upstream fix for this available:
  https://gitlab.gnome.org/GNOME/gnome-session/merge_requests/28

See also:
  https://gitlab.gnome.org/GNOME/gnome-settings-daemon/issues/456

Comment 1 Fedora Blocker Bugs Application 2019-10-10 11:53:43 UTC
Proposed as a Blocker and Freeze Exception for 31-final by Fedora user benzea using the blocker tracking app because:

 Severly impacts the performance of system restarts/shutdowns from GNOME and can result in an unclean GNOME session after a previous session crashed.

Comment 2 Michael Catanzaro 2019-10-10 15:08:57 UTC
-1 blocker, can be fixed with an update

But +1 FE. We have a fix already, let's get it in. Thanks Benjamin!

Comment 3 Adam Williamson 2019-10-10 15:34:41 UTC
yeah, I think I'm the same as mcatanzaro, it's not bad enough OOTB to be a blocker (logging out of live sessions is unusual) but +1 FE.

Comment 4 Kamil Páral 2019-10-10 16:53:29 UTC
I'd love to have some release criteria for shutdown/reboot slowdowns, but currently we don't, so +0 blocker +1 FE here.

Comment 5 Ben Cotton 2019-10-10 17:04:12 UTC
-1 blocker, +1 FE

Comment 6 Kevin Fenzi 2019-10-10 17:25:09 UTC
-1 blocker, +1 FE

Comment 7 František Zatloukal 2019-10-10 17:43:34 UTC
-1 Blocker, +1 FE

Comment 8 Adam Williamson 2019-10-10 17:55:16 UTC
That's -6/+6, so rejected as blocker, accepted as FE.

Comment 9 Adam Williamson 2019-10-10 18:25:11 UTC
There's an MR to fix this, so setting POST.

Comment 10 Fedora Update System 2019-10-11 08:08:05 UTC
FEDORA-2019-688ba1f947 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-688ba1f947

Comment 11 Fedora Update System 2019-10-11 16:53:49 UTC
gnome-session-3.34.1-3.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-688ba1f947

Comment 12 Lukas Ruzicka 2019-10-14 10:14:59 UTC
This update works for me. I have not experienced any troubles.

Comment 13 Fedora Update System 2019-10-14 15:10:41 UTC
gnome-session-3.34.1-3.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.